%define version 9.9p
Summary: 	Enhanced LaTeX mode for GNU Emacs
Name: 		auctex
Version: 	%{version}
Release: 	1
Copyright: 	GPL
Group: 		Applications/Editors/Emacs
URL: 		http://www.cs.auc.dk/~amanda/auctex/
Packager: Matthew J. Saltzman <mjs@clemson.edu>
# since I built this with emacs 20.2 [20.4 mjs] the binary package will want the following line:
Requires: emacs >= 20
Prereq: 	/sbin/install-info
BuildArchitectures:  noarch
Source0: ftp://sunsite.auc.dk/packages/auctex/auctex-%{version}.tar.gz
Source2: ftp://ftp.phys.ocean.dal.ca/users/rhogee/elisp/font-latex.el
Source3: ftp://ftp.phys.ocean.dal.ca/users/rhogee/elisp/bib-cite.el
BuildRoot: /var/tmp/auctex-%{version}

%description
AUC TeX is a comprehensive, customizable, integrated environment for
writing, editing and processing  input files for LaTeX using GNU Emacs. 

This package contains updated versions of the font-latex and
bib-cite support files.

%changelog

* Sun Jan 23 2000 M. J. Saltzman <mjs@clemson.edu>
- updated to auctex 9.9

* Fri Jul 10 1998 W.L. Estes <wlestes@wlestes.uncg.edu>
- build root now used
- cleaned up file list
- fixed url tag
- added CHANGES and ChangeLog to doc files
- now requires emacs >= 20
- added \%clean
- misc spec file cosmetic cleanups

 * Wed Mar 11 1998 Martin Schimschak <masch@theo-phys.uni-essen.de>
 - initial revision for auctex 9.8l

%prep
%setup -q
cp $RPM_SOURCE_DIR/font-latex.el .
cp $RPM_SOURCE_DIR/bib-cite.el .

%build
make
make contrib

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{share/emacs/site-lisp,info}
make lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp install install-contrib
# make tex-site.el forget about buildroot
cd $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
sed -e "s#$RPM_BUILD_ROOT##g" tex-site.el > tex-site.el.new && mv tex-site.el.new tex-site.el
cd -
make infodir=$RPM_BUILD_ROOT/usr/info install-info
gzip -n -9f $RPM_BUILD_ROOT/usr/info/auctex*

%post
/sbin/install-info /usr/info/auctex.gz /usr/info/dir --section=Emacs \
	 --entry="* auctex: (auctex).             Enhanced LaTeX support for GNU Emacs."

%preun
if [ $1 = 0 ]; then
/sbin/install-info \
	 --delete /usr/info/auctex.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (644, root, root, 755)
/usr/share/emacs/site-lisp/auctex
%config /usr/share/emacs/site-lisp/tex-site.el
%doc PROBLEMS README CHANGES ChangeLog
/usr/info/auctex*
